org.apache.commons.math3.ode.events

## Class EventState.LocalMaxCountExceededException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.apache.commons.math3.ode.events.EventState.LocalMaxCountExceededException

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    EventState

      private static class EventState.LocalMaxCountExceededException
      extends RuntimeException

  Local wrapper to propagate exceptions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable UID.
    `private MaxCountExceededException` | `wrapped` Wrapped exception.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventState.LocalMaxCountExceededException(MaxCountExceededException exception)` Simple constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `MaxCountExceededException` | `getException()` Get the wrapped exception.

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable UID.
      See Also:
        Constant Field Values

    - #### wrapped

          private final MaxCountExceededException wrapped

      Wrapped exception.

  - ### Constructor Detail

    - #### EventState.LocalMaxCountExceededException

          public EventState.LocalMaxCountExceededException(MaxCountExceededException exception)

      Simple constructor.
      Parameters:
        `exception` - exception to wrap

  - ### Method Detail

    - #### getException

          public MaxCountExceededException getException()

      Get the wrapped exception.
      Returns:
        wrapped exception

Copyright (c) 2003-2013 Apache Software Foundation